<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC
@author lorena.salamanca

@cu CU-SA-AC-088 Administrar Avalúos en Trámite Asociados al Contrato Interadministrativo

@modified pedro.garcia Integración con funcionalidad del cu
-->

<h:form id="adminAvaluosContratoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">


    <p:messages id="adminAvaluosContratoMsgs" showDetail="false"
                globalOnly="false" />

    <p:spacer height="5" />

    <script src="#{request.contextPath}/js/jquery.formatCurrency.js"
            type="text/javascript" />

    <p:fieldset>
        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Razón social / Persona natural:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.entidadSolicitante.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputText value=" " />
            <h:outputText value=" " />

            <h:outputLabel value="Tipo documento" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.entidadSolicitante.tipoIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo documento:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.entidadSolicitante.tipoIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.entidadSolicitante.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.currentContract.numero} - #{adminAvaluosAsociadosAContrato.currentContract.vigencia}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor comprometido en ejecución:"
                           styleClass="outputLabelStyle" />
            <h:outputText id="valorComprometidoEjecucionAvaluo"
                          value="#{adminAvaluosAsociadosAContrato.valorComprometidoEjecucion}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda"
                             for="valorComprometidoEjecucionAvaluo" />
            </h:outputText>

            <h:outputLabel value="Número avalúos en trámite:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{adminAvaluosAsociadosAContrato.numeroAvaluosEnTramite}"
                styleClass="outputTextStyle" />

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable id="avaluosDeContratoDT"
                         widgetVar="avaluosDeContratoDTWV"
                         value="#{adminAvaluosAsociadosAContrato.avaluosEnTramiteAsociados}"
                         var="avaluo" rowKey="#{avaluo.id}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                         {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         emptyMessage="No existen resultados para la consulta de adiciones de contratos"
                         selectionMode="single"
                         selection="#{adminAvaluosAsociadosAContrato.selectedAvaluo}">

                <f:facet name="header">
                    Avalúos en trámite
                </f:facet>

                <p:column headerText="Información predial">
                    <p:commandButton title="Información de los predios del avalúo"
                                     icon="ui-icon-home"
                                     action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                     update=":prediosAvaluoForm"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();
                                     handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Sec_Radicado">
                    <h:outputText value="#{avaluo.secRadicado}" />
                </p:column>

                <p:column headerText="Departamento">
                    <p:commandLink
                        value="#{avaluo.avaluoPredios[0].departamento.nombre}"
                        rendered="#{avaluo.tienePrediosEnDiferentesDeptos}"
                        styleClass="commandLinkStyle"
                        action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                        update=":consultarDepartamentosMunicipioForm"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>
                    <h:outputText rendered="#{!avaluo.tienePrediosEnDiferentesDeptos}"
                                  value="#{avaluo.avaluoPredios[0].departamento.codigo} - #{avaluo.avaluoPredios[0].departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <p:commandLink value="#{avaluo.avaluoPredios[0].municipio.nombre}"
                                   rendered="#{avaluo.tienePrediosEnDiferentesMunicipios}"
                                   styleClass="commandLinkStyle"
                                   action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                                   update=":consultarDepartamentosMunicipioForm"
                                   onstart="statusDialog2.show();"
                                   oncomplete="statusDialog2.hide();
                                   handleCompleteSIC(xhr, status, args, infoDeptosMunisWV, true);">
                        <f:setPropertyActionListener value="#{avaluo}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>

                    <h:outputText
                        rendered="#{!avaluo.tienePrediosEnDiferentesMunicipios}"
                        value="#{avaluo.avaluoPredios[0].municipio.codigo} - #{avaluo.avaluoPredios[0].municipio.nombre}" />
                </p:column>

                <p:column headerText="Valor cotizado/estimado">
                    <h:outputText value="#{avaluo.valorCotizacion}">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Nombre avaluador">
                    <p:dataList value="#{avaluo.avaluadores}" var="avaluador"
                                itemType="disc">  
                        #{avaluador.nombreCompleto} 
                    </p:dataList>
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid columns="2" cellspacing="7">
        <p:commandButton value="Modificar valor cotizado"
                         icon="ui-icon-pencil"
                         onclick="if (avaluosDeContratoDTWV.selection.length == 0) {
                                     alert('Debe seleccionar un avalúo');
                                     return false;
                                 }"
                         oncomplete="modificarValorCotizacionWV.show();"
                         update=":modificaCotizacionForm:" />

        <p:commandButton value="Consultar cotización"
                         icon="ui-icon ui-icon-search"
                         onclick="if (avaluosDeContratoDTWV.selection.length == 0) {
                                     alert('Debe seleccionar un avalúo');
                                     return false;
                                 }"
                         oncomplete="alert('Caso de uso por desarrollar')" />
    </h:panelGrid>

</h:form>
